# DataExchange
TKXSBase
Transfer

# Transfer_ActorDispatch Class Reference

This class allows to work with a TransferDispatch, i.e. to
transfer entities from a data set to another one defined by
the same interface norm, with the following features :
- ActorDispatch itself acts as a default actor, i.e. it copies
entities with the general service Copy, as CopyTool does
- it allows to add other actors for specific ways of transfer,
which may include data modifications, conversions ...
- and other features from TransferDispatch (such as mapping
other than one-one)
.

`#include <Transfer_ActorDispatch.hxx>`

Inheritance diagram for Transfer_ActorDispatch:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_ActorDispatch (const Handle(Interface_InterfaceModel)&amodel, const Interface_GeneralLib &lib)
| Creates an ActorDispatch from a Model. Works with a General Service Library, given as an Argument This causes TransferDispatch and its TransientProcess to be created, with default actor <me> .
Standard_EXPORT | Transfer_ActorDispatch (const Handle(Interface_InterfaceModel)&amodel, const Handle(Interface_Protocol)&protocol)
| Same as above, but Library is defined through a Protocol .
Standard_EXPORT | Transfer_ActorDispatch (const Handle(Interface_InterfaceModel)&amodel)
| Same as above, but works with the Active Protocol .
Standard_EXPORT void | AddActor (const Handle(Transfer_ActorOfTransientProcess)&actor)
| Utility which adds an actor to the default <me> (it calls SetActor from the TransientProcess) .
Standard_EXPORT Transfer_TransferDispatch & | TransferDispatch ()
| Returns the TransferDispatch, which does the work, records the intermediate data, etc... See TransferDispatch & CopyTool, to see the available methods .
virtual Standard_EXPORT Handle_Transfer_Binder | Transfer (const Handle(Standard_Transient)&start, const Handle(Transfer_TransientProcess)&TP)
| Specific action : it calls the method Transfer from CopyTool i.e. the general service Copy, then returns the Binder produced by the TransientProcess .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Transfer_TransferDispatch | thetool

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_ActorDispatch::Transfer_ActorDispatch | ( | const Handle(Interface_InterfaceModel)& | amodel,
|  | const Interface_GeneralLib & | lib
| ) |

Standard_EXPORT Transfer_ActorDispatch::Transfer_ActorDispatch | ( | const Handle(Interface_InterfaceModel)& | amodel,
|  | const Handle(Interface_Protocol)& | protocol
| ) |

Standard_EXPORT Transfer_ActorDispatch::Transfer_ActorDispatch | ( | const Handle(Interface_InterfaceModel)& | amodel | ) |

## Member Function Documentation

Standard_EXPORT void Transfer_ActorDispatch::AddActor | ( | const Handle(Transfer_ActorOfTransientProcess)& | actor | ) |

Standard_EXPORT const Transfer_ActorDispatch::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_ActorOfTransientProcess.

virtual Standard_EXPORT Handle_Transfer_Binder Transfer_ActorDispatch::Transfer | ( | const Handle(Standard_Transient)& | start,
|  | const Handle(Transfer_TransientProcess)& | TP
| ) | `[virtual]`

| Reimplemented from Transfer_ActorOfTransientProcess.

Standard_EXPORT Transfer_TransferDispatch& Transfer_ActorDispatch::TransferDispatch | ( |  | ) |

## Field Documentation

Transfer_TransferDispatch Transfer_ActorDispatch::thetool `[private]`

The documentation for this class was generated from the following file:

- Transfer_ActorDispatch.hxx